<?php

/**
 * Script que aciona a rotina responsavel pelo envio de lembretes de registro de ponto por e-mail
 * 
 * 
 */

namespace Jobs;

require_once __DIR__ . '/../../service/bootstrap.php';

ini_set("memory_limit","2048M");

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$session = $instanceManager->getService('session');
$session->set("NRORG", 20);
$session->set("NRORGTRAB", 20);
$session->set("NRORGPADRAO", 0);

$instanceManager->getService('EmailService')->sendEmailAlertaRegistrosFaltantesUltimaSemana([
    'NRVINCULOM_LIST' => [183191],
    'DTINICIOVERIFICACAO' => '28/11/2022',
    'DTFINALVERIFICACAO' => '02/12/2022',
]);

var_dump(\Util\ControladorAlerta::getMensagensProcessoAtual());